task processSomatic {
    
	String sample
	File varscan_snp
	File varscan_indel
	
    String docker
    String cluster_config
    String disk_size

	command <<<
		java -Xmx12g -jar /opt/VarScan.v2.4.3.jar processSomatic ${varscan_snp}
		java -Xmx12g -jar /opt/VarScan.v2.4.3.jar processSomatic ${varscan_indel}
	>>>

	runtime {
		docker: docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File varscan_snp_somatic_hc = "${sample}.VarScan.TN.SNP.Somatic.hc.vcf"
		File varscan_snp_loh_hc = "${sample}.VarScan.TN.SNP.LOH.hc.vcf"
		File varscan_indel_somatic_hc = "${sample}.VarScan.TN.INDEL.Somatic.hc.vcf"
		File varscan_indel_loh_hc = "${sample}.VarScan.TN.INDEL.LOH.hc.vcf"
	}
}